org.apache.felix.threaddump.internal

## Interface ThreadDumper

All Known Implementing Classes:
  Jdk15ThreadDumper, Jdk16ThreadDumper

    public interface ThreadDumper

Service that dumps current running threads in the JVM.

### Method Summary

Methods
`void` `printThreads(ThreadWriter writer)` Dumps current running threads in the JVM.

### Method Detail

#### printThreads

    void printThreads(ThreadWriter writer)

Dumps current running threads in the JVM.

Parameters:
  `writer` - the target writer where dumping the threads.